Skip to main content
PATCH
curl

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Brand-Slug
string

Brand for this request; use hi-doctor for these examples.

Query Parameters

form_type
string
required

Legacy questionnaire form type.

Body

application/json
data
object[]
required

Legacy questionnaire steps with step_id and value or values, validated for the selected form_type.

Response

Successful response.

form_type
enum<string>
required

Form type for this user form.

Available options:
hair_growth,
weight_loss,
sexual_health,
premature_ejaculation,
chlamydia,
urinary_tract_infection,
emergency_contraception,
hiv_prep,
dermatology_acne,
dermatology_rosacea,
dermatology_melasma,
dermatology_antiaging
data
object
required
created_at
string<date-time>
required
read-only

Created at timestamp in ISO 8601 format. Returned by the server; not writable.

updated_at
string<date-time>
required
read-only

Updated at timestamp in ISO 8601 format. Returned by the server; not writable.

is_completed
boolean

Whether required questionnaire fields have been completed.